petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscViewerVTKOpen

Opens a file for VTK output.

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode PetscViewerVTKOpen(MPI_Comm comm,const char name[],PetscFileMode type,PetscViewer *vtk)

Collective on MPI_Comm

### Input Parameters

| comm | - MPI communicator
| name | - name of file
| type | - type of file

       FILE_MODE_WRITE - create new file for binary output

       FILE_MODE_READ - open existing file for binary input (not currently supported)

       FILE_MODE_APPEND - open existing file for binary output (not currently supported)

### Output Parameter

vtk -PetscViewer for VTK input/output to use with the specified file

### Note

This PetscViewer should be destroyed with PetscViewerDestroy().

### See Also

PetscViewerASCIIOpen(), PetscViewerPushFormat(), PetscViewerDestroy(),
VecView(), MatView(), VecLoad(), MatLoad(), PetscFileMode, PetscViewer

### Level

beginner

### Location

src/sys/classes/viewer/impls/vtk/vtkv.c

### Examples

src/ksp/ksp/examples/tutorials/ex42.c.html
src/snes/examples/tutorials/ex15.c.html
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages